<?php
$errorMessages = true;	// for testing and debugging only  -  set to false for production versions
#
#---------------------------------------------------------------------------
# set error reporting  
#---------------------------------------------------------------------------
if (isset($_REQUEST['debug'])){		// display error messages 
	$noMissingLang = $errorMessages = true;
} 
if ($errorMessages) {
	ini_set('display_errors', 'On'); 
	error_reporting(E_ALL);
}
#---------------------------------------------------------------------------
#
# Customize here:
#
if (!isset($SITE['hourOnlyFormat']) ) {$SITE['hourOnlyFormat'] = 'H';}
#
$itemWidth				= '100%';		// set do desired width 999px  or 100%  for all output on page
#
$updateTimes			= false;			// two lines with recent file / new update information
#
$iconGraph				= true;			// icon type header  with 2 icons for each day (12 hours data)
#
$topCount				= 8;			// max nr of day-part forecasts in icons or graph
$topWidth				= '100%';		// set do disired width 999px  or 100%
#
$chartsGraph			= false;			// high charts graph one colom for every 3 hours
$graphsSeparate			= true;			// high charts graph separate (true) or in a tab (false)
#
$metnoTable				= false;		// tables
#
$windIcons				= $SITE['windIcons'];
$windIconsSmall			= $SITE['windIconsSmall'];
#
#---------------------------------------------------------------------------
# just to know which script version is executing
#---------------------------------------------------------------------------
#
$pageName		= 'metnoIconOnly.php';
$pageVersion	= '2.20 2013-05-23';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
$pathString	.= '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
$myPage = $pageFile;
#
# We get the data from a weather class  
#
$script	= 'metnoCreateArr.php';
echo '<!-- trying to load '.$script.' -->'.PHP_EOL;
include($script);
$weather 		= new metnoWeather ();
$returnArray 	= $weather->getWeatherData($SITE['latitude'],$SITE['longitude']);
#
#---------------------------------------------------------------------------
# Now create all tables and graphs to be printed here
#
$script	= 'metnoGenerateHtml.php';
echo '<!-- trying to load '.$script.' -->'.PHP_EOL;
include ($script);
echo $tableIcons.PHP_EOL;
?>